package com.sinosig.web.module.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 应用实体[车险单]
 */
public class CID implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * A/B类
     */
    private String Abl;

    @JsonIgnore
    private boolean AblDirtyFlag;
    /**
     * 初登日期
     */
    private Timestamp Cdrq;

    @JsonIgnore
    private boolean CdrqDirtyFlag;
    /**
     * 车险单标识
     */
    private String CIDId;

    @JsonIgnore
    private boolean CIDIdDirtyFlag;
    /**
     * 车险单名称
     */
    private String CIDName;

    @JsonIgnore
    private boolean CIDNameDirtyFlag;
    /**
     * 车架号
     */
    private String Cjh;

    @JsonIgnore
    private boolean CjhDirtyFlag;
    /**
     * 车辆大类
     */
    private String Cldl;

    @JsonIgnore
    private boolean CldlDirtyFlag;
    /**
     * 车辆类型描述
     */
    private String Cllxms;

    @JsonIgnore
    private boolean CllxmsDirtyFlag;
    /**
     * 车辆实际价值
     */
    private BigDecimal Clsjjz;

    @JsonIgnore
    private boolean ClsjjzDirtyFlag;
    /**
     * 车辆种类
     */
    private String Clzl;

    @JsonIgnore
    private boolean ClzlDirtyFlag;
    /**
     * 车牌号码
     */
    private String Cphm;

    @JsonIgnore
    private boolean CphmDirtyFlag;
    /**
     * 厂牌型号标识
     */
    private String CPXHId;

    @JsonIgnore
    private boolean CPXHIdDirtyFlag;
    /**
     * 厂牌型号
     */
    private String CPXHName;

    @JsonIgnore
    private boolean CPXHNameDirtyFlag;
    /**
     * 打印厂牌型号
     */
    private String Dycpxh;

    @JsonIgnore
    private boolean DycpxhDirtyFlag;
    /**
     * 发动机号
     */
    private String Fdjh;

    @JsonIgnore
    private boolean FdjhDirtyFlag;
    /**
     * 功率
     */
    private Double Gl;

    @JsonIgnore
    private boolean GlDirtyFlag;
    /**
     * 核定载客
     */
    private Integer Hdzk;

    @JsonIgnore
    private boolean HdzkDirtyFlag;
    /**
     * 核定载质量
     */
    private Double Hdzzl;

    @JsonIgnore
    private boolean HdzzlDirtyFlag;
    /**
     * 号牌底色
     */
    private String Hpds;

    @JsonIgnore
    private boolean HpdsDirtyFlag;
    /**
     * 号牌种类
     */
    private String Hpzl;

    @JsonIgnore
    private boolean HpzlDirtyFlag;
    /**
     * 交强险
     */
    private Integer Jqx;

    @JsonIgnore
    private boolean JqxDirtyFlag;
    /**
     * 交强险生效时间
     */
    private Timestamp Jqxdb;

    @JsonIgnore
    private boolean JqxdbDirtyFlag;
    /**
     * 交强险失效时间
     */
    private Timestamp Jqxde;

    @JsonIgnore
    private boolean JqxdeDirtyFlag;
    /**
     * 机构标识
     */
    private String ORGId;

    @JsonIgnore
    private boolean ORGIdDirtyFlag;
    /**
     * 归属机构
     */
    private String ORGName;

    @JsonIgnore
    private boolean ORGNameDirtyFlag;
    /**
     * 人员标识
     */
    private String ORGUSERId;

    @JsonIgnore
    private boolean ORGUSERIdDirtyFlag;
    /**
     * 归属业务员
     */
    private String ORGUSERName;

    @JsonIgnore
    private boolean ORGUSERNameDirtyFlag;
    /**
     * 排量
     */
    private Double Pl;

    @JsonIgnore
    private boolean PlDirtyFlag;
    /**
     * 渠道类型
     */
    private String Qdlx;

    @JsonIgnore
    private boolean QdlxDirtyFlag;
    /**
     * 商业险
     */
    private Integer Syx;

    @JsonIgnore
    private boolean SyxDirtyFlag;
    /**
     * 商业险生效时间
     */
    private Timestamp Syxdb;

    @JsonIgnore
    private boolean SyxdbDirtyFlag;
    /**
     * 商业险失效时间
     */
    private Timestamp Syxde;

    @JsonIgnore
    private boolean SyxdeDirtyFlag;
    /**
     * 使用性质
     */
    private String Syxz;

    @JsonIgnore
    private boolean SyxzDirtyFlag;
    /**
     * 更新时间
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;
    /**
     * 新车购置价
     */
    private BigDecimal Xcgzj;

    @JsonIgnore
    private boolean XcgzjDirtyFlag;
    /**
     * 业务来源
     */
    private String Ywly;

    @JsonIgnore
    private boolean YwlyDirtyFlag;
    /**
     * 整备质量
     */
    private Double Zbzl;

    @JsonIgnore
    private boolean ZbzlDirtyFlag;

    /**
     * 获取 [A/B类]
     */
    @JsonProperty("abl")
    public String getAbl(){
        return Abl ;
    }

    /**
     * 设置 [A/B类]
     */
    @JsonProperty("abl")
    public void setAbl(String  abl){
        this.Abl = abl ;
        this.AblDirtyFlag = true ;
    }

    /**
     * 获取 [A/B类]脏标记
     */
    @JsonIgnore
    public boolean getAblDirtyFlag(){
        return this.AblDirtyFlag ;
    }

    /**
     * 获取 [初登日期]
     */
    @JsonProperty("cdrq")
    public Timestamp getCdrq(){
        return Cdrq ;
    }

    /**
     * 设置 [初登日期]
     */
    @JsonProperty("cdrq")
    public void setCdrq(Timestamp  cdrq){
        this.Cdrq = cdrq ;
        this.CdrqDirtyFlag = true ;
    }

    /**
     * 获取 [初登日期]脏标记
     */
    @JsonIgnore
    public boolean getCdrqDirtyFlag(){
        return this.CdrqDirtyFlag ;
    }

    /**
     * 获取 [车险单标识]
     */
    @JsonProperty("cidid")
    public String getCIDId(){
        return CIDId ;
    }

    /**
     * 设置 [车险单标识]
     */
    @JsonProperty("cidid")
    public void setCIDId(String  cIDId){
        this.CIDId = cIDId ;
        this.CIDIdDirtyFlag = true ;
    }

    /**
     * 获取 [车险单标识]脏标记
     */
    @JsonIgnore
    public boolean getCIDIdDirtyFlag(){
        return this.CIDIdDirtyFlag ;
    }

    /**
     * 获取 [车险单名称]
     */
    @JsonProperty("cidname")
    public String getCIDName(){
        return CIDName ;
    }

    /**
     * 设置 [车险单名称]
     */
    @JsonProperty("cidname")
    public void setCIDName(String  cIDName){
        this.CIDName = cIDName ;
        this.CIDNameDirtyFlag = true ;
    }

    /**
     * 获取 [车险单名称]脏标记
     */
    @JsonIgnore
    public boolean getCIDNameDirtyFlag(){
        return this.CIDNameDirtyFlag ;
    }

    /**
     * 获取 [车架号]
     */
    @JsonProperty("cjh")
    public String getCjh(){
        return Cjh ;
    }

    /**
     * 设置 [车架号]
     */
    @JsonProperty("cjh")
    public void setCjh(String  cjh){
        this.Cjh = cjh ;
        this.CjhDirtyFlag = true ;
    }

    /**
     * 获取 [车架号]脏标记
     */
    @JsonIgnore
    public boolean getCjhDirtyFlag(){
        return this.CjhDirtyFlag ;
    }

    /**
     * 获取 [车辆大类]
     */
    @JsonProperty("cldl")
    public String getCldl(){
        return Cldl ;
    }

    /**
     * 设置 [车辆大类]
     */
    @JsonProperty("cldl")
    public void setCldl(String  cldl){
        this.Cldl = cldl ;
        this.CldlDirtyFlag = true ;
    }

    /**
     * 获取 [车辆大类]脏标记
     */
    @JsonIgnore
    public boolean getCldlDirtyFlag(){
        return this.CldlDirtyFlag ;
    }

    /**
     * 获取 [车辆类型描述]
     */
    @JsonProperty("cllxms")
    public String getCllxms(){
        return Cllxms ;
    }

    /**
     * 设置 [车辆类型描述]
     */
    @JsonProperty("cllxms")
    public void setCllxms(String  cllxms){
        this.Cllxms = cllxms ;
        this.CllxmsDirtyFlag = true ;
    }

    /**
     * 获取 [车辆类型描述]脏标记
     */
    @JsonIgnore
    public boolean getCllxmsDirtyFlag(){
        return this.CllxmsDirtyFlag ;
    }

    /**
     * 获取 [车辆实际价值]
     */
    @JsonProperty("clsjjz")
    public BigDecimal getClsjjz(){
        return Clsjjz ;
    }

    /**
     * 设置 [车辆实际价值]
     */
    @JsonProperty("clsjjz")
    public void setClsjjz(BigDecimal  clsjjz){
        this.Clsjjz = clsjjz ;
        this.ClsjjzDirtyFlag = true ;
    }

    /**
     * 获取 [车辆实际价值]脏标记
     */
    @JsonIgnore
    public boolean getClsjjzDirtyFlag(){
        return this.ClsjjzDirtyFlag ;
    }

    /**
     * 获取 [车辆种类]
     */
    @JsonProperty("clzl")
    public String getClzl(){
        return Clzl ;
    }

    /**
     * 设置 [车辆种类]
     */
    @JsonProperty("clzl")
    public void setClzl(String  clzl){
        this.Clzl = clzl ;
        this.ClzlDirtyFlag = true ;
    }

    /**
     * 获取 [车辆种类]脏标记
     */
    @JsonIgnore
    public boolean getClzlDirtyFlag(){
        return this.ClzlDirtyFlag ;
    }

    /**
     * 获取 [车牌号码]
     */
    @JsonProperty("cphm")
    public String getCphm(){
        return Cphm ;
    }

    /**
     * 设置 [车牌号码]
     */
    @JsonProperty("cphm")
    public void setCphm(String  cphm){
        this.Cphm = cphm ;
        this.CphmDirtyFlag = true ;
    }

    /**
     * 获取 [车牌号码]脏标记
     */
    @JsonIgnore
    public boolean getCphmDirtyFlag(){
        return this.CphmDirtyFlag ;
    }

    /**
     * 获取 [厂牌型号标识]
     */
    @JsonProperty("cpxhid")
    public String getCPXHId(){
        return CPXHId ;
    }

    /**
     * 设置 [厂牌型号标识]
     */
    @JsonProperty("cpxhid")
    public void setCPXHId(String  cPXHId){
        this.CPXHId = cPXHId ;
        this.CPXHIdDirtyFlag = true ;
    }

    /**
     * 获取 [厂牌型号标识]脏标记
     */
    @JsonIgnore
    public boolean getCPXHIdDirtyFlag(){
        return this.CPXHIdDirtyFlag ;
    }

    /**
     * 获取 [厂牌型号]
     */
    @JsonProperty("cpxhname")
    public String getCPXHName(){
        return CPXHName ;
    }

    /**
     * 设置 [厂牌型号]
     */
    @JsonProperty("cpxhname")
    public void setCPXHName(String  cPXHName){
        this.CPXHName = cPXHName ;
        this.CPXHNameDirtyFlag = true ;
    }

    /**
     * 获取 [厂牌型号]脏标记
     */
    @JsonIgnore
    public boolean getCPXHNameDirtyFlag(){
        return this.CPXHNameDirtyFlag ;
    }

    /**
     * 获取 [打印厂牌型号]
     */
    @JsonProperty("dycpxh")
    public String getDycpxh(){
        return Dycpxh ;
    }

    /**
     * 设置 [打印厂牌型号]
     */
    @JsonProperty("dycpxh")
    public void setDycpxh(String  dycpxh){
        this.Dycpxh = dycpxh ;
        this.DycpxhDirtyFlag = true ;
    }

    /**
     * 获取 [打印厂牌型号]脏标记
     */
    @JsonIgnore
    public boolean getDycpxhDirtyFlag(){
        return this.DycpxhDirtyFlag ;
    }

    /**
     * 获取 [发动机号]
     */
    @JsonProperty("fdjh")
    public String getFdjh(){
        return Fdjh ;
    }

    /**
     * 设置 [发动机号]
     */
    @JsonProperty("fdjh")
    public void setFdjh(String  fdjh){
        this.Fdjh = fdjh ;
        this.FdjhDirtyFlag = true ;
    }

    /**
     * 获取 [发动机号]脏标记
     */
    @JsonIgnore
    public boolean getFdjhDirtyFlag(){
        return this.FdjhDirtyFlag ;
    }

    /**
     * 获取 [功率]
     */
    @JsonProperty("gl")
    public Double getGl(){
        return Gl ;
    }

    /**
     * 设置 [功率]
     */
    @JsonProperty("gl")
    public void setGl(Double  gl){
        this.Gl = gl ;
        this.GlDirtyFlag = true ;
    }

    /**
     * 获取 [功率]脏标记
     */
    @JsonIgnore
    public boolean getGlDirtyFlag(){
        return this.GlDirtyFlag ;
    }

    /**
     * 获取 [核定载客]
     */
    @JsonProperty("hdzk")
    public Integer getHdzk(){
        return Hdzk ;
    }

    /**
     * 设置 [核定载客]
     */
    @JsonProperty("hdzk")
    public void setHdzk(Integer  hdzk){
        this.Hdzk = hdzk ;
        this.HdzkDirtyFlag = true ;
    }

    /**
     * 获取 [核定载客]脏标记
     */
    @JsonIgnore
    public boolean getHdzkDirtyFlag(){
        return this.HdzkDirtyFlag ;
    }

    /**
     * 获取 [核定载质量]
     */
    @JsonProperty("hdzzl")
    public Double getHdzzl(){
        return Hdzzl ;
    }

    /**
     * 设置 [核定载质量]
     */
    @JsonProperty("hdzzl")
    public void setHdzzl(Double  hdzzl){
        this.Hdzzl = hdzzl ;
        this.HdzzlDirtyFlag = true ;
    }

    /**
     * 获取 [核定载质量]脏标记
     */
    @JsonIgnore
    public boolean getHdzzlDirtyFlag(){
        return this.HdzzlDirtyFlag ;
    }

    /**
     * 获取 [号牌底色]
     */
    @JsonProperty("hpds")
    public String getHpds(){
        return Hpds ;
    }

    /**
     * 设置 [号牌底色]
     */
    @JsonProperty("hpds")
    public void setHpds(String  hpds){
        this.Hpds = hpds ;
        this.HpdsDirtyFlag = true ;
    }

    /**
     * 获取 [号牌底色]脏标记
     */
    @JsonIgnore
    public boolean getHpdsDirtyFlag(){
        return this.HpdsDirtyFlag ;
    }

    /**
     * 获取 [号牌种类]
     */
    @JsonProperty("hpzl")
    public String getHpzl(){
        return Hpzl ;
    }

    /**
     * 设置 [号牌种类]
     */
    @JsonProperty("hpzl")
    public void setHpzl(String  hpzl){
        this.Hpzl = hpzl ;
        this.HpzlDirtyFlag = true ;
    }

    /**
     * 获取 [号牌种类]脏标记
     */
    @JsonIgnore
    public boolean getHpzlDirtyFlag(){
        return this.HpzlDirtyFlag ;
    }

    /**
     * 获取 [交强险]
     */
    @JsonProperty("jqx")
    public Integer getJqx(){
        return Jqx ;
    }

    /**
     * 设置 [交强险]
     */
    @JsonProperty("jqx")
    public void setJqx(Integer  jqx){
        this.Jqx = jqx ;
        this.JqxDirtyFlag = true ;
    }

    /**
     * 获取 [交强险]脏标记
     */
    @JsonIgnore
    public boolean getJqxDirtyFlag(){
        return this.JqxDirtyFlag ;
    }

    /**
     * 获取 [交强险生效时间]
     */
    @JsonProperty("jqxdb")
    public Timestamp getJqxdb(){
        return Jqxdb ;
    }

    /**
     * 设置 [交强险生效时间]
     */
    @JsonProperty("jqxdb")
    public void setJqxdb(Timestamp  jqxdb){
        this.Jqxdb = jqxdb ;
        this.JqxdbDirtyFlag = true ;
    }

    /**
     * 获取 [交强险生效时间]脏标记
     */
    @JsonIgnore
    public boolean getJqxdbDirtyFlag(){
        return this.JqxdbDirtyFlag ;
    }

    /**
     * 获取 [交强险失效时间]
     */
    @JsonProperty("jqxde")
    public Timestamp getJqxde(){
        return Jqxde ;
    }

    /**
     * 设置 [交强险失效时间]
     */
    @JsonProperty("jqxde")
    public void setJqxde(Timestamp  jqxde){
        this.Jqxde = jqxde ;
        this.JqxdeDirtyFlag = true ;
    }

    /**
     * 获取 [交强险失效时间]脏标记
     */
    @JsonIgnore
    public boolean getJqxdeDirtyFlag(){
        return this.JqxdeDirtyFlag ;
    }

    /**
     * 获取 [机构标识]
     */
    @JsonProperty("orgid")
    public String getORGId(){
        return ORGId ;
    }

    /**
     * 设置 [机构标识]
     */
    @JsonProperty("orgid")
    public void setORGId(String  oRGId){
        this.ORGId = oRGId ;
        this.ORGIdDirtyFlag = true ;
    }

    /**
     * 获取 [机构标识]脏标记
     */
    @JsonIgnore
    public boolean getORGIdDirtyFlag(){
        return this.ORGIdDirtyFlag ;
    }

    /**
     * 获取 [归属机构]
     */
    @JsonProperty("orgname")
    public String getORGName(){
        return ORGName ;
    }

    /**
     * 设置 [归属机构]
     */
    @JsonProperty("orgname")
    public void setORGName(String  oRGName){
        this.ORGName = oRGName ;
        this.ORGNameDirtyFlag = true ;
    }

    /**
     * 获取 [归属机构]脏标记
     */
    @JsonIgnore
    public boolean getORGNameDirtyFlag(){
        return this.ORGNameDirtyFlag ;
    }

    /**
     * 获取 [人员标识]
     */
    @JsonProperty("orguserid")
    public String getORGUSERId(){
        return ORGUSERId ;
    }

    /**
     * 设置 [人员标识]
     */
    @JsonProperty("orguserid")
    public void setORGUSERId(String  oRGUSERId){
        this.ORGUSERId = oRGUSERId ;
        this.ORGUSERIdDirtyFlag = true ;
    }

    /**
     * 获取 [人员标识]脏标记
     */
    @JsonIgnore
    public boolean getORGUSERIdDirtyFlag(){
        return this.ORGUSERIdDirtyFlag ;
    }

    /**
     * 获取 [归属业务员]
     */
    @JsonProperty("orgusername")
    public String getORGUSERName(){
        return ORGUSERName ;
    }

    /**
     * 设置 [归属业务员]
     */
    @JsonProperty("orgusername")
    public void setORGUSERName(String  oRGUSERName){
        this.ORGUSERName = oRGUSERName ;
        this.ORGUSERNameDirtyFlag = true ;
    }

    /**
     * 获取 [归属业务员]脏标记
     */
    @JsonIgnore
    public boolean getORGUSERNameDirtyFlag(){
        return this.ORGUSERNameDirtyFlag ;
    }

    /**
     * 获取 [排量]
     */
    @JsonProperty("pl")
    public Double getPl(){
        return Pl ;
    }

    /**
     * 设置 [排量]
     */
    @JsonProperty("pl")
    public void setPl(Double  pl){
        this.Pl = pl ;
        this.PlDirtyFlag = true ;
    }

    /**
     * 获取 [排量]脏标记
     */
    @JsonIgnore
    public boolean getPlDirtyFlag(){
        return this.PlDirtyFlag ;
    }

    /**
     * 获取 [渠道类型]
     */
    @JsonProperty("qdlx")
    public String getQdlx(){
        return Qdlx ;
    }

    /**
     * 设置 [渠道类型]
     */
    @JsonProperty("qdlx")
    public void setQdlx(String  qdlx){
        this.Qdlx = qdlx ;
        this.QdlxDirtyFlag = true ;
    }

    /**
     * 获取 [渠道类型]脏标记
     */
    @JsonIgnore
    public boolean getQdlxDirtyFlag(){
        return this.QdlxDirtyFlag ;
    }

    /**
     * 获取 [商业险]
     */
    @JsonProperty("syx")
    public Integer getSyx(){
        return Syx ;
    }

    /**
     * 设置 [商业险]
     */
    @JsonProperty("syx")
    public void setSyx(Integer  syx){
        this.Syx = syx ;
        this.SyxDirtyFlag = true ;
    }

    /**
     * 获取 [商业险]脏标记
     */
    @JsonIgnore
    public boolean getSyxDirtyFlag(){
        return this.SyxDirtyFlag ;
    }

    /**
     * 获取 [商业险生效时间]
     */
    @JsonProperty("syxdb")
    public Timestamp getSyxdb(){
        return Syxdb ;
    }

    /**
     * 设置 [商业险生效时间]
     */
    @JsonProperty("syxdb")
    public void setSyxdb(Timestamp  syxdb){
        this.Syxdb = syxdb ;
        this.SyxdbDirtyFlag = true ;
    }

    /**
     * 获取 [商业险生效时间]脏标记
     */
    @JsonIgnore
    public boolean getSyxdbDirtyFlag(){
        return this.SyxdbDirtyFlag ;
    }

    /**
     * 获取 [商业险失效时间]
     */
    @JsonProperty("syxde")
    public Timestamp getSyxde(){
        return Syxde ;
    }

    /**
     * 设置 [商业险失效时间]
     */
    @JsonProperty("syxde")
    public void setSyxde(Timestamp  syxde){
        this.Syxde = syxde ;
        this.SyxdeDirtyFlag = true ;
    }

    /**
     * 获取 [商业险失效时间]脏标记
     */
    @JsonIgnore
    public boolean getSyxdeDirtyFlag(){
        return this.SyxdeDirtyFlag ;
    }

    /**
     * 获取 [使用性质]
     */
    @JsonProperty("syxz")
    public String getSyxz(){
        return Syxz ;
    }

    /**
     * 设置 [使用性质]
     */
    @JsonProperty("syxz")
    public void setSyxz(String  syxz){
        this.Syxz = syxz ;
        this.SyxzDirtyFlag = true ;
    }

    /**
     * 获取 [使用性质]脏标记
     */
    @JsonIgnore
    public boolean getSyxzDirtyFlag(){
        return this.SyxzDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [新车购置价]
     */
    @JsonProperty("xcgzj")
    public BigDecimal getXcgzj(){
        return Xcgzj ;
    }

    /**
     * 设置 [新车购置价]
     */
    @JsonProperty("xcgzj")
    public void setXcgzj(BigDecimal  xcgzj){
        this.Xcgzj = xcgzj ;
        this.XcgzjDirtyFlag = true ;
    }

    /**
     * 获取 [新车购置价]脏标记
     */
    @JsonIgnore
    public boolean getXcgzjDirtyFlag(){
        return this.XcgzjDirtyFlag ;
    }

    /**
     * 获取 [业务来源]
     */
    @JsonProperty("ywly")
    public String getYwly(){
        return Ywly ;
    }

    /**
     * 设置 [业务来源]
     */
    @JsonProperty("ywly")
    public void setYwly(String  ywly){
        this.Ywly = ywly ;
        this.YwlyDirtyFlag = true ;
    }

    /**
     * 获取 [业务来源]脏标记
     */
    @JsonIgnore
    public boolean getYwlyDirtyFlag(){
        return this.YwlyDirtyFlag ;
    }

    /**
     * 获取 [整备质量]
     */
    @JsonProperty("zbzl")
    public Double getZbzl(){
        return Zbzl ;
    }

    /**
     * 设置 [整备质量]
     */
    @JsonProperty("zbzl")
    public void setZbzl(Double  zbzl){
        this.Zbzl = zbzl ;
        this.ZbzlDirtyFlag = true ;
    }

    /**
     * 获取 [整备质量]脏标记
     */
    @JsonIgnore
    public boolean getZbzlDirtyFlag(){
        return this.ZbzlDirtyFlag ;
    }



	private List <com.sinosig.web.module.domain.JQXTBYD> jqxtbyds = new ArrayList<com.sinosig.web.module.domain.JQXTBYD>() ;

    public List<com.sinosig.web.module.domain.JQXTBYD> getJqxtbyds(){
        return jqxtbyds ;
    }

    public void setJqxtbyds(List <com.sinosig.web.module.domain.JQXTBYD> jqxtbyds){
        this.jqxtbyds = jqxtbyds ;
    }

	private List <com.sinosig.web.module.domain.SYXTBYD> syxtbyds = new ArrayList<com.sinosig.web.module.domain.SYXTBYD>() ;

    public List<com.sinosig.web.module.domain.SYXTBYD> getSyxtbyds(){
        return syxtbyds ;
    }

    public void setSyxtbyds(List <com.sinosig.web.module.domain.SYXTBYD> syxtbyds){
        this.syxtbyds = syxtbyds ;
    }

	private List <com.sinosig.web.module.domain.CUSTOMER> customers = new ArrayList<com.sinosig.web.module.domain.CUSTOMER>() ;

    public List<com.sinosig.web.module.domain.CUSTOMER> getCustomers(){
        return customers ;
    }

    public void setCustomers(List <com.sinosig.web.module.domain.CUSTOMER> customers){
        this.customers = customers ;
    }

	private List <com.sinosig.web.module.domain.JQXXX> jqxxxes = new ArrayList<com.sinosig.web.module.domain.JQXXX>() ;

    public List<com.sinosig.web.module.domain.JQXXX> getJqxxxes(){
        return jqxxxes ;
    }

    public void setJqxxxes(List <com.sinosig.web.module.domain.JQXXX> jqxxxes){
        this.jqxxxes = jqxxxes ;
    }

	private List <com.sinosig.web.module.domain.SYXXX> syxxxes = new ArrayList<com.sinosig.web.module.domain.SYXXX>() ;

    public List<com.sinosig.web.module.domain.SYXXX> getSyxxxes(){
        return syxxxes ;
    }

    public void setSyxxxes(List <com.sinosig.web.module.domain.SYXXX> syxxxes){
        this.syxxxes = syxxxes ;
    }

}
